%define upstream_name Horde_Rdo
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.2
Release:     	%mkrel 2
Summary:    	Rampage Data Objects
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires:	php-pear-Horde_Db >= 2.0.0
Requires:	php-pear-Horde_Db < 3.0.0alpha1
Requires:	php-pear-Horde_Exception >= 2.0.0
Requires:	php-pear-Horde_Exception < 3.0.0alpha1
BuildArch:  	noarch


%description
Lightweight ORM layer

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Rdo.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Rdo.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Rdo
fi

%files
%doc docs/Horde_Rdo/*
%{peardir}/*
%{xmldir}/Horde_Rdo.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.2-2.mga4
+ Revision: 526701
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 spuhler <spuhler> 2.0.2-1.mga4
+ Revision: 438529
- upgrade to ver. 2.0.2
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 376613
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 27 2012 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 215535
- update to 1.1.1

* Mon Nov 07 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 164662
- upgrade to 1.1.0
- imported package php-pear-Horde_Rdo

